%define upstream_name    Dist-Zilla
%define upstream_version 6.031

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Something that provides a version number for the dist
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/R/RJ/RJBS/%{upstream_name}-%{upstream_version}.tar.gz

# Tests:

BuildRequires: perl(App::Cmd::Command::version)
BuildRequires: perl(App::Cmd::Setup) >= 0.330.0
BuildRequires: perl(App::Cmd::Tester) >= 0.306.0
BuildRequires: perl(App::Cmd::Tester::CaptureExternal)
BuildRequires: perl(Archive::Tar)
BuildRequires: perl(CPAN::Meta::Check) >= 0.11.0
BuildRequires: perl(CPAN::Meta::Converter) >= 2.101.550
BuildRequires: perl(CPAN::Meta::Merge)
BuildRequires: perl(CPAN::Meta::Prereqs) >= 2.120.630
BuildRequires: perl(CPAN::Meta::Requirements) >= 2.121.0
BuildRequires: perl(CPAN::Meta::Validator) >= 2.101.550
BuildRequires: perl(CPAN::Uploader) >= 0.103.4
BuildRequires: perl(Carp)
BuildRequires: perl(Config::INI::Reader)
BuildRequires: perl(Config::MVP) >= 2.200.11
BuildRequires: perl(Config::MVP::Assembler)
BuildRequires: perl(Config::MVP::Assembler::WithBundles) >= 2.200.10
BuildRequires: perl(Config::MVP::Reader) >= 2.101.540
BuildRequires: perl(Config::MVP::Reader::Findable::ByExtension)
BuildRequires: perl(Config::MVP::Reader::Finder)
BuildRequires: perl(Config::MVP::Reader::INI) >= 2.101.461
BuildRequires: perl(Config::MVP::Section) >= 2.200.9
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Data::Section) >= 0.200.2
BuildRequires: perl(DateTime) >= 0.440.0
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::Manifest) >= 1.660.0
BuildRequires: perl(File::Copy::Recursive) >= 0.410.0
BuildRequires: perl(File::Find::Rule)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::ShareDir::Install) >= 0.30.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::pushd)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(List::Util) >= 1.450.0
BuildRequires: perl(Log::Dispatchouli) >= 1.102.220
BuildRequires: perl(Mixin::Linewise::Readers) >= 0.100.0
BuildRequires: perl(Module::CoreList)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moose) >= 0.920.0
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::LazyRequire)
BuildRequires: perl(MooseX::Role::Parameterized) >= 1.10.0
BuildRequires: perl(MooseX::SetOnce)
BuildRequires: perl(MooseX::Types)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(MooseX::Types::Perl)
BuildRequires: perl(PPI::Document) >= 1.222.0
BuildRequires: perl(Params::Util)
BuildRequires: perl(Path::Tiny) >= 0.52.0
BuildRequires: perl(Perl::PrereqScanner) >= 1.16.0
BuildRequires: perl(Pod::Simple)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Software::License) >= 0.104.1
BuildRequires: perl(Software::License::None)
BuildRequires: perl(Software::LicenseUtils)
BuildRequires: perl(String::Formatter) >= 0.100.680
BuildRequires: perl(String::RewritePrefix) >= 0.6.0
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Sub::Exporter::ForMethods)
BuildRequires: perl(Sub::Exporter::Util)
BuildRequires: perl(Term::ANSIColor) >= 5.0.0
BuildRequires: perl(Term::Encoding)
BuildRequires: perl(Term::ReadKey)
BuildRequires: perl(Term::ReadLine)
BuildRequires: perl(Term::UI)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::FailWarnings)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::File::ShareDir)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Text::Glob) >= 0.80.0
BuildRequires: perl(Text::Template)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(YAML::Tiny)
BuildRequires: perl(autodie)
BuildRequires: perl(experimental)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

# This Requires must be specified explicitly because the scan does not find and
# as a result the derived modules fails in strange ways.
Requires:   perl(Archive::Tar)
Requires:   perl(Config::INI::Reader)
Requires:   perl(Config::MVP::Reader::INI)
Requires:   perl(CPAN::Meta::Converter)
Requires:   perl(CPAN::Meta::Requirements)
Requires:   perl(CPAN::Meta::Validator)
Requires:   perl(CPAN::Uploader)
Requires:   perl(DateTime)
Requires:   perl(ExtUtils::Manifest) >= 1.54
Requires:   perl(File::HomeDir)
Requires:   perl(File::Path)
Requires:   perl(File::ShareDir::Install)
Requires:   perl(Perl::PrereqScanner) >= 1.16.0
Requires:   perl(Module::CoreList)
Requires:   perl(Module::Runtime)
Requires:   perl(Path::Class)
Requires:   perl(Pod::Eventual) >= 0.91.480
Requires:   perl(Term::Encoding)
Requires:   perl(version) >= 1:0.790.0
Requires:   perl(PPI::Document)
Requires:   perl(Software::LicenseUtils)
Requires:   perl(Term::Encoding)
Requires:   perl(Term::ReadKey)
Requires:   perl(Term::ReadLine)
Requires:   perl(Term::UI)
Recommends: perl(Task::Dist::Zilla)

%{?perl_default_filter}
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}
%global __requires_exclude perl\\(ExtUtils::MakeMaker\\{\\{\\)

%description
Dist::Zilla builds distributions of code to be uploaded to the CPAN. In
this respect, it is like the ExtUtils::MakeMaker manpage, the Module::Build
manpage, or the Module::Install manpage. Unlike those tools, however, it is
not also a system for installing code that has been downloaded from the
CPAN. Since it's only run by authors, and is meant to be run on a
repository checkout rather than on published, released code, it can do much
more than those tools, and is free to make much more ludicrous demands in
terms of prerequisites.

For more information, see the Dist::Zilla::Tutorial manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# all tests succeed locally but some fail on BS with: "Cannot determine local time zone"
rm -f t/plugins/readme.t t/plugins/license.t t/plugins/distmeta.t 
%__make test

%install
%make_install
install -d %{buildroot}/etc/bash_completion.d/
install -m 644 misc/dzil-bash_completion %{buildroot}/etc/bash_completion.d/dzil

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/bin/dzil
/etc/bash_completion.d/dzil

%changelog
* Mon Dec 04 2023 tv <tv> 6.31.0-1.mga10
+ Revision: 2012952
- update to 6.031

* Fri Feb 03 2023 tv <tv> 6.30.0-1.mga9
+ Revision: 1937854
- update to 6.030

* Sun Nov 27 2022 tv <tv> 6.29.0-1.mga9
+ Revision: 1911762
- update to 6.029

* Sun Nov 13 2022 tv <tv> 6.28.0-1.mga9
+ Revision: 1906640
- update to 6.028

* Tue Nov 08 2022 tv <tv> 6.27.0-1.mga9
+ Revision: 1904681
- update to 6.027

* Tue May 31 2022 tv <tv> 6.25.0-1.mga9
+ Revision: 1860799
- update to 6.025

* Mon Mar 21 2022 umeabot <umeabot> 6.24.0-2.mga9
+ Revision: 1814842
- Mageia 9 Mass Rebuild

* Thu Aug 05 2021 tv <tv> 6.24.0-1.mga9
+ Revision: 1739527
- update to 6.024

* Sat Jul 17 2021 tv <tv> 6.23.0-1.mga9
+ Revision: 1736372
- update to 6.023

* Tue Jun 29 2021 tv <tv> 6.22.0-1.mga9
+ Revision: 1734169
- update to 6.022

* Wed Jun 16 2021 tv <tv> 6.20.0-1.mga9
+ Revision: 1730875
- update to 6.020

* Tue Jun 15 2021 tv <tv> 6.19.0-1.mga9
+ Revision: 1730827
- update to 6.019

* Tue Nov 03 2020 tv <tv> 6.17.0-1.mga8
+ Revision: 1641927
- update to 6.017

* Sat May 30 2020 tv <tv> 6.15.0-1.mga8
+ Revision: 1588987
- update to 6.015

* Mon Mar 02 2020 tv <tv> 6.14.0-1.mga8
+ Revision: 1552843
- update to 6.014

* Wed Feb 12 2020 umeabot <umeabot> 6.12.0-3.mga8
+ Revision: 1503882
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 6.12.0-2.mga7
+ Revision: 1282973
- Mageia 7 Mass Rebuild

* Sun Apr 22 2018 tv <tv> 6.12.0-1.mga7
+ Revision: 1221063
- update to 6.012

* Fri Feb 16 2018 tv <tv> 6.11.0-1.mga7
+ Revision: 1201776
- update to 6.011

* Wed Oct 04 2017 tv <tv> 6.10.0-6.mga7
+ Revision: 1168654
- BR missing requires thus fixing build of other pkgs

* Wed Oct 04 2017 tv <tv> 6.10.0-5.mga7
+ Revision: 1168531
- fix deps

* Wed Oct 04 2017 tv <tv> 6.10.0-4.mga7
+ Revision: 1168436
- manually requires perl(Term::Encoding), thus fixing other pkg builsd
- manually requires perl(Pod::Eventual), thus fixing other pkg builsd

* Wed Oct 04 2017 tv <tv> 6.10.0-2.mga7
+ Revision: 1168227
- disable some testst that succeed locally but fail on BS with: "Cannot determine local time zone"
- BR perl(DateTime::TimeZone)
- add missing BRs
+ shlomif <shlomif>
- New version 6.010

* Sun Jun 19 2016 pterjan <pterjan> 5.47.0-2.mga6
+ Revision: 1025806
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 5.47.0-1.mga6
+ Revision: 1007508
- update to 5.047

* Sat Apr 23 2016 shlomif <shlomif> 5.46.0-1.mga6
+ Revision: 1005493
- New version 5.046

* Sun Jan 17 2016 shlomif <shlomif> 5.43.0-2.mga6
+ Revision: 925162
- Add missing Requires. This should fix some broken builds.

* Thu Jan 07 2016 shlomif <shlomif> 5.43.0-1.mga6
+ Revision: 920419
- update to 5.043

* Wed Dec 30 2015 shlomif <shlomif> 5.42.0-1.mga6
+ Revision: 916935
- New version

* Wed Oct 14 2015 sander85 <sander85> 5.40.0-1.mga6
+ Revision: 891330
- update to 5.040

* Thu Aug 13 2015 sander85 <sander85> 5.39.0-1.mga6
+ Revision: 864335
- update to 5.039

* Sat Jun 27 2015 shlomif <shlomif> 5.37.0-2.mga6
+ Revision: 846468
- Fixes for Requires

* Sat Jun 27 2015 sander85 <sander85> 5.37.0-1.mga6
+ Revision: 845955
- update to 5.037

* Wed Oct 15 2014 umeabot <umeabot> 5.20.0-4.mga5
+ Revision: 749862
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ tv <tv>
- add exclude
- s/uggests:/Recommends:/

* Tue Jul 29 2014 sander85 <sander85> 5.20.0-1.mga5
+ Revision: 657881
- update to 5.020

* Wed May 21 2014 sander85 <sander85> 5.19.0-1.mga5
+ Revision: 624722
- update to 5.019

* Mon May 19 2014 sander85 <sander85> 5.17.0-1.mga5
+ Revision: 623810
- update to 5.017
+ jquelin <jquelin>
- update to 5.016
- update to 5.015

* Mon Mar 17 2014 jquelin <jquelin> 5.14.0-1.mga5
+ Revision: 604348
- update to 5.014

* Mon Feb 17 2014 jquelin <jquelin> 5.13.0-2.mga5
+ Revision: 593500
- obsoleting broken plugin

* Thu Feb 13 2014 jquelin <jquelin> 5.13.0-1.mga5
+ Revision: 590660
- update to 5.013

* Tue Feb 04 2014 shlomif <shlomif> 5.12.0-2.mga5
+ Revision: 582089
- Bump release
- Missing BRs from TEST_REQUIRES

* Tue Feb 04 2014 shlomif <shlomif> 5.12.0-1.mga5
+ Revision: 582068
- Add missing BR
- Avoid broken BRs
- Add missing BR
- Updated BR
- New version 5.012

* Mon Oct 21 2013 umeabot <umeabot> 4.300.39-2.mga4
+ Revision: 537087
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 4.300.39-1.mga4
+ Revision: 486239
- update to 4.300039

* Sun Sep 08 2013 sander85 <sander85> 4.300.38-1.mga4
+ Revision: 476395
- update to 4.300038

* Thu Aug 29 2013 sander85 <sander85> 4.300.37-1.mga4
+ Revision: 473086
- update to 4.300037

* Mon Aug 26 2013 sander85 <sander85> 4.300.36-1.mga4
+ Revision: 472023
- update to 4.300036

* Fri Aug 09 2013 sander85 <sander85> 4.300.35-1.mga4
+ Revision: 464925
- update to 4.300035

* Mon Jun 03 2013 jquelin <jquelin> 4.300.34-1.mga4
+ Revision: 436708
- update to 4.300034

* Fri Jan 18 2013 jquelin <jquelin> 4.300.28-3.mga3
+ Revision: 389313
- obsoleting perl-Dist-Zilla-Plugin-MetaNoIndex (upstream decision)

* Sun Jan 13 2013 umeabot <umeabot> 4.300.28-2.mga3
+ Revision: 366004
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 4.300.28-1.mga3
+ Revision: 315712
- update to 4.300028

* Mon Oct 15 2012 jquelin <jquelin> 4.300.26-1.mga3
+ Revision: 306101
- update to 4.300026

* Thu Sep 27 2012 jquelin <jquelin> 4.300.24-1.mga3
+ Revision: 298755
- update to 4.300024

* Mon Sep 17 2012 jquelin <jquelin> 4.300.23-1.mga3
+ Revision: 295362
- update to 4.300023

* Wed Jul 04 2012 jquelin <jquelin> 4.300.20-1.mga3
+ Revision: 267335
- update to 4.300020

* Sat Jun 09 2012 jquelin <jquelin> 4.300.18-1.mga3
+ Revision: 258871
- update to 4.300018

* Wed Jun 06 2012 jquelin <jquelin> 4.300.17-1.mga3
+ Revision: 256109
- update to 4.300017

* Thu Feb 23 2012 jquelin <jquelin> 4.300.9-1.mga2
+ Revision: 212798
- update to 4.300009

* Thu Jan 05 2012 jquelin <jquelin> 4.300.6-1.mga2
+ Revision: 191210
- update to 4.300006

* Thu Dec 15 2011 jquelin <jquelin> 4.300.5-1.mga2
+ Revision: 181804
- update to 4.300005

* Tue Dec 13 2011 jquelin <jquelin> 4.300.4-1.mga2
+ Revision: 181157
- update to 4.300004

* Tue Nov 08 2011 jquelin <jquelin> 4.300.3-1.mga2
+ Revision: 165451
- remove MYMETA from %%doc
- update to 4.300003

* Mon Sep 26 2011 jquelin <jquelin> 4.300.2-1.mga2
+ Revision: 148411
- update to 4.300002
- update to 4.300000
- update to 4.200015
- update to 4.200012

* Fri Jul 08 2011 jquelin <jquelin> 4.200.9-1.mga2
+ Revision: 120382
- update to 4.200009

* Mon Jun 27 2011 jquelin <jquelin> 4.200.8-1.mga2
+ Revision: 114502
- update to 4.200008

* Wed Jun 15 2011 jquelin <jquelin> 4.200.7-1.mga2
+ Revision: 106856
- update to 4.200007

* Tue Feb 22 2011 jquelin <jquelin> 4.200.4-1.mga1
+ Revision: 56556
- update to 4.200004

* Wed Jan 26 2011 jquelin <jquelin> 4.102.343-1.mga1
+ Revision: 39988
- mageia rebuild
- imported package perl-Dist-Zilla

